/**
 *Font Awesome Fonts
 */

@font-face {
  font-family: 'FontAwesome';
  src: url('/node_modules/font-awesome/fonts/fontawesome-webfont.woff2?v=4.1.0') format('woff2');
  font-weight: normal;
  font-style: normal;
}


/**
 * App-wide Styles
 */

.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

.navbar-nav>li>a {
  padding-top: 5px;
  padding-bottom: 0px;
}

.navbar-nav {
  padding-top: 6px;
}

.nav>li>a {
  padding: 0px 5px;
}

.nav>li,
.nav>li>a {
  display: inline-block;
}

.navbar-default .navbar-collapse {
  text-align: center;
}

.navbar-nav {
  float: none;
  display: inline-block;
}

body {
  font-family: sans-serif;
  font-size: 12pt;
  position: relative;
  min-height: 100vh;
}

td {
  font-size: 10pt;
  word-break: break-all;
}

.table-condensed>tbody>tr>td {
  padding: 1px;
  vertical-align: middle;
}

.fa {
  font-size: large;
}

.form-control {
  max-width: 40ex;
  min-width: 8ex;
}

.input-group {
  max-width: 40ex;
}

.input-group-addon>.fa {
  font-size: large;
}

.fa-plus-circle {
  color: #61B420;
}

.fa-trash-o {
  color: red;
}

.fa-shopping-cart {
  color: #AD728D;
}

.fa-database {
  color: #4D4317;
}

.fa-list {
  color: #B03720;
}

.fa-users {
  color: #67922D;
}

.fa-sign-out {
  color: black;
}

.label {
  font-size: medium;
}

.dropdown-menu[role="listbox"] {
  padding: 5px;
}

.dropdown-menu[role="listbox"]>li:not(:last-child) {
  border-bottom-width: 1px;
  border-bottom-style: groove;
}

small {
  font-size: 75%;
}

.flex-space-around {
  display: flex;
  justify-content: space-around;
}

.input-group-sm>.form-control,
.input-group-sm>.input-group-addon,
.input-sm {
  height: 2em;
  padding: 1px 3px;
}

.btn {
  padding: 0px 6px;
}

.flex-space-between {
  display: flex;
  justify-content: space-between;
}

.flex-space-between>ul:not(:last-child) {
  border-right: 1px groove black;
}

.container {
  padding: 0;
  position: relative;
}

.table {
  max-width: 100ex;
  margin-left: auto;
  margin-right: auto;
}

.table-responsive>.table>tbody>tr>td,
.table-responsive>.table>tbody>tr>th {
  white-space: normal !important;
}

.navbar-nav {
  margin: 0;
}

.navbar-collapse {
  padding: 0;
}

.cw-selector {
  padding-top: 6px;
}

.login-box {
  width: 30ex;
  margin: 0 auto;
}

@media all and (max-width: 550px) {
  body {
    font-size: 10pt !important;
  }
}

@media all and (max-width: 400px) {
  body {
    font-size: 8pt !important;
  }
}

@media all and (max-width: 320px) {
  body {
    font-size: 7pt !important;
  }
}

td>input.form-control.ng-dirty,
th>input.form-control.ng-dirty {
  color: lightgrey;
}

.chooser {
  background-color: #fefefe;
  padding: .5em;
  border: 1px solid #000;
  border-radius: 5px;
  width: 350px;
}

.chooserSelectedWeek {
  background-color: lightgrey;
}

.chooserThisWeek {
  background-color: lightgreen;
}

.alert-locked-orders{
  color: #000;
  background-color: #e10000;
  margin: 20px auto;
  text-align: center;
  white-space: normal;
}

@media screen{
  .app-view{
      min-height: calc(100vh - 100px);
  }
}
